org.wildfly.swarm.microprofile.openapi.api.models.servers

## Class ServerImpl

- java.lang.Object
- - org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl
  - - org.wildfly.swarm.microprofile.openapi.api.models.servers.ServerImpl

- All Implemented Interfaces:
    ModelImpl

      public class ServerImpl
      extends ExtensibleImpl
      implements ModelImpl

  An implementation of the `Server` OpenAPI model interface.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Server` | `description(String description)`
    `String` | `getDescription()`
    `String` | `getUrl()`
    `ServerVariables` | `getVariables()`
    `void` | `setDescription(String description)`
    `void` | `setUrl(String url)`
    `void` | `setVariables(ServerVariables variables)`
    `Server` | `url(String url)`
    `Server` | `variables(ServerVariables variables)`

    - ### Methods inherited from class org.wildfly.swarm.microprofile.openapi.api.models.ExtensibleImpl

      `addExtension, getExtensions, setExtensions`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerImpl

          public ServerImpl()

  - ### Method Detail

    - #### getUrl

          public String getUrl()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#getUrl()`

    - #### setUrl

          public void setUrl(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#setUrl(java.lang.String)`

    - #### url

          public Server url(String url)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#url(java.lang.String)`

    - #### getDescription

          public String getDescription()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#getDescription()`

    - #### setDescription

          public void setDescription(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#setDescription(java.lang.String)`

    - #### description

          public Server description(String description)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#description(java.lang.String)`

    - #### getVariables

          public ServerVariables getVariables()

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#getVariables()`

    - #### setVariables

          public void setVariables(ServerVariables variables)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#setVariables(org.eclipse.microprofile.openapi.models.servers.ServerVariables)`

    - #### variables

          public Server variables(ServerVariables variables)

      See Also:
        `org.eclipse.microprofile.openapi.models.servers.Server#variables(org.eclipse.microprofile.openapi.models.servers.ServerVariables)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.